;InnoSetupVersion=5.2.3

[Setup]
AppName=AM-Notebook
AppVerName=AM-Notebook {cm:myVersion}
AppId=aignesamnotebook
AppVersion={cm:myVersion}
AppPublisher=www.aignes.com
AppPublisherURL=http://www.aignes.com
AppSupportURL=http://www.aignes.com
AppUpdatesURL=http://www.aignes.com
AppMutex=AM-Notebook
DefaultDirName={reg:HKCU\Software\aignes\amnotebook,setuppath|{pf}\AM-Notebook}
DefaultGroupName=AM-Notebook
OutputBaseFilename=in
Compression=lzma
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\notebook.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\notebook.ext"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\notebook.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\notebook.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\lang\arabic.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\bulgarian.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\chinesebig5.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\chinesegb.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\croatian.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\czech.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\danish.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\dutch.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\english.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\finnish.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\french.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\galego.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\german.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\hungarian.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\italian.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\japanese.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\korean.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\latvian.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\polish.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\polish2.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\portuguese-br.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\russian.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\slovak.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\spanish.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\swedish.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\turkish.lng"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\lang\1_readme.txt"; DestDir: "{app}\lang"; Flags: ignoreversion 
Source: "{app}\templates\today.htm"; DestDir: "{app}\templates"; Flags: ignoreversion 
Source: "{app}\templates\examples\hello.rvf"; DestDir: "{app}\templates\examples"; Flags: ignoreversion 
Source: "{app}\templates\examples\training.tbl"; DestDir: "{app}\templates\examples"; Flags: ignoreversion 
Source: "{app}\templates\contacts\print\index.htm"; DestDir: "{app}\templates\contacts\print"; Flags: ignoreversion 
Source: "{app}\templates\planner\print\index.htm"; DestDir: "{app}\templates\planner\print"; Flags: ignoreversion 
Source: "{app}\templates\todo\print\index.htm"; DestDir: "{app}\templates\todo\print"; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AM-Notebook"; Flags: deletekey 

[INI]
FileName: "{app}\nbcommon.ini"; Section: "General"; Key: "Lite"; String: "{code:MyIsLite}"; 
FileName: "{app}\nbcommon.ini"; Section: "General"; Key: "Portable"; String: "{code:MyIsPortable}"; 

[Run]
Filename: "{app}\notebook.exe"; Description: "{cm:LaunchProgram,AM-Notebook}"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\notebook.exe"; Parameters: "-UNINSTALL"; RunOnceId: "amnotebookUNINSTALL"; 

[Icons]
Name: "{group}\AM-Notebook"; Filename: "{app}\notebook.exe"; 
Name: "{group}\{cm:UninstallProgram,AM-Notebook}"; Filename: "{uninstallexe}"; 
Name: "{commondesktop}\AM-Notebook"; Filename: "{app}\notebook.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\AM-Notebook"; Filename: "{app}\notebook.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[InstallDelete]
Type: files; Name: "{app}\uninstall*.*"; 

[UninstallDelete]
Type: files; Name: "{app}\nbcommon.ini"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...
myVersion=5.0.1

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
